# HeatHack

Ce projet héberge le code embarqué dans les cartes de contrôle des aérothermes bricolés pour le chauffage du Lab...

**Le projet est à l'état de POC...**

Il est basé sur l'exemple d'application LWIP fourni avec la carte Nucleo STM32F207G

Mise en oeuvre :
* installer STM32CUBE FW Version 1.7.0
* Décompresser HeatHack.zip (à télécharger sur ce dépot) dans le répertoire : "\\STM32Cube_FW_F2_V1.7.0\Projects\STM32F207G-Nucleo\Applications\LwIP\HeatHack"
* Compiler...

Limitations connues :
* Le support de la sonde de COV, bien qu'installée sur le plan hardware dans les aerothermes, n'est pas (encore) supporté par le logiciel.
* L'application d'origine de ST a un problème de support de la perte de link ethernet (si on débranche/rebranche à chaud, le link ne remonte pas). Ce problème n'est pas (encore) corrigé.
* Les adresses MAC et IP sont définies en hard dans le code, et pas (encore) modifiables par l'envoi d'une commande. Ceci implique de recompilé pour chaque device (et de ne pas de tromper pour ne pas avoir deux devices avec la même MAC sur votre réseau...)
* L'interface CLI (telnet) foncitonne bien (pas de problème connu, et c'est l'interface normale d'utilisation
* Le serveur web fonctionne (page servie correctement), mais le contrôle du device n'est pas (encore) développé

**Définitions de la MAC :** stm32f2xx_hal_conf.h
**Définition IP/mask/gateway :** main.h

Utilisation :
Projet développé avec l'environnement Atollic TrueSTUDIO
L'essentiel du code est dans le répertoire : \\HeatHack\SW4STM32\STM32F207ZG_NUCLEO_144\application\user\cliserver-netconn.c et io_manage.c

"GETVER" returns softaware version
"SETFAN xxx" set the fan control PWM at xx% (betwen 0 and 100%)
"SETAUX x" set the auxiliary output at 0 or 1 (used for the water valve solenoid control)

